[android-components](../../index.md) / [mozilla.components.service.fretboard](../index.md) / [Experiment](index.md) / [equals](./equals.md)

# equals

`fun equals(other: `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`?): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/Experiment.kt#L98)

Compares experiments by their id

**Return**
true if the two experiments have the same id, false otherwise

